package com.bonus.core.menu.vo;

import io.swagger.annotations.ApiModelProperty;
import com.bonus.core.allocation.canteen.model.AllocDeliveryCostModel;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

public class CheckDishesVo {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   private Integer ifExpired;
   private String goodsDishesName;
   private Long menuDetailId;
   private BigDecimal salePrice;
   private BigDecimal prefPrice;
   private Integer weightUnit;
   private String unitName;
   private Integer salesMode;
   private String tasteName;
   @ApiModelProperty("餐次")
   private Integer mealtimeType;
   @ApiModelProperty("日期")
   private LocalDate orderDate;
   @ApiModelProperty("菜品id")
   private Long goodsDishesId;
   @ApiModelProperty("菜品图片url")
   private String imageUrl;
   @ApiModelProperty("供应数量")
   private Integer supplyNum;
   @ApiModelProperty("销售数量")
   private Integer saleNum;
   @ApiModelProperty("剩余数量")
   private Integer surplusNum;
   @ApiModelProperty("个人限购数量")
   private Integer restrictNum;
   @ApiModelProperty("规格类型(1-标准,2-大小份)")
   private Long sizeType;
   @ApiModelProperty("规格json")
   private String sizeJson;
   @ApiModelProperty("配送方式列表")
   private List<AllocDeliveryCostModel> costModelList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getIfExpired() {
      return this.ifExpired;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public Long getMenuDetailId() {
      return this.menuDetailId;
   }

   public BigDecimal getSalePrice() {
      return this.salePrice;
   }

   public BigDecimal getPrefPrice() {
      return this.prefPrice;
   }

   public Integer getWeightUnit() {
      return this.weightUnit;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public String getTasteName() {
      return this.tasteName;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public Integer getSupplyNum() {
      return this.supplyNum;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public Integer getSurplusNum() {
      return this.surplusNum;
   }

   public Integer getRestrictNum() {
      return this.restrictNum;
   }

   public Long getSizeType() {
      return this.sizeType;
   }

   public String getSizeJson() {
      return this.sizeJson;
   }

   public List<AllocDeliveryCostModel> getCostModelList() {
      return this.costModelList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setIfExpired(final Integer ifExpired) {
      this.ifExpired = ifExpired;
   }

   public void setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
   }

   public void setMenuDetailId(final Long menuDetailId) {
      this.menuDetailId = menuDetailId;
   }

   public void setSalePrice(final BigDecimal salePrice) {
      this.salePrice = salePrice;
   }

   public void setPrefPrice(final BigDecimal prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setWeightUnit(final Integer weightUnit) {
      this.weightUnit = weightUnit;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

   public void setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setSupplyNum(final Integer supplyNum) {
      this.supplyNum = supplyNum;
   }

   public void setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
   }

   public void setSurplusNum(final Integer surplusNum) {
      this.surplusNum = surplusNum;
   }

   public void setRestrictNum(final Integer restrictNum) {
      this.restrictNum = restrictNum;
   }

   public void setSizeType(final Long sizeType) {
      this.sizeType = sizeType;
   }

   public void setSizeJson(final String sizeJson) {
      this.sizeJson = sizeJson;
   }

   public void setCostModelList(final List<AllocDeliveryCostModel> costModelList) {
      this.costModelList = costModelList;
   }

}
